# Credit to this blog post for this script:
# https://blog.entrostat.com/install-byobu-on-any-linux-distro/

#  Define color variables
GREEN='\033[0;32m'
YELLOW='\033[0;33m'
BLUE='\033[0;34m'
RESET='\033[0m'

BYOBU_VERSION=5.133

set -e

echo -e "${GREEN}Please make sure you have the following dependencies installed:"
echo -e "  ${BLUE}[+] tar"
echo -e "  ${BLUE}[+] screen"
echo -e "  ${BLUE}[+] tmux"
echo -e "  ${BLUE}[+] make"

which tar
which screen
which tmux
which make

echo -e "${GREEN}Downloading ${BLUE}byobu version ${YELLOW}${BYOBU_VERSION}..."

echo -e "${GREEN}Setting up a temporary folder..."
UNIQUE_FOLDER=$(date +%s)
cd /tmp
mkdir /tmp/${UNIQUE_FOLDER}
cd /tmp/${UNIQUE_FOLDER}

echo -e "{$GREEN}Downloading source package..."
wget "https://launchpad.net/byobu/trunk/${BYOBU_VERSION}/+download/byobu_${BYOBU_VERSION}.orig.tar.gz"

echo -e "${GREEN}Extracting the source files..."
tar -xvf "byobu_${BYOBU_VERSION}.orig.tar.gz"
BYOBU_FOLDER_NAME=$(ls | grep byobu | grep -v .tar.gz)
cd "byobu-${BYOBU_VERSION}"

echo -e "{$GREEN}Configuring and building..."
./configure
sudo make install
byobu-select-backend tmux
byobu-ctrl-a screen

echo ""
echo -e "${GREEN}You're ready to go! Just type:"
echo -e "{$BLUE}byobu"
